diff --git a/website/apps/base/templates/components.scm b/website/apps/base/templates/components.scm
index e2a74d3..4488549 100644
--- a/website/apps/base/templates/components.scm
+++ b/website/apps/base/templates/components.scm
@@ -399,11 +399,11 @@ manual.
                       #:items
                       (list
                        (C_ "website menu"
-                           (menu-item #:label "Stable"
+                           (menu-item #:label "Release"
                                       #:active-item active-item
                                       #:url (guix-url "download/")))
                        (C_ "website menu"
-                           (menu-item #:label "Latest"
+                           (menu-item #:label "Current"
                                       #:active-item active-item
                                       #:url (guix-url "download/latest/")))))
 
@@ -417,11 +417,11 @@ manual.
                         #:active-item active-item
                         #:url (guix-url "help/")))
          (C_ "website menu"
-             (menu-item #:label "GNU Guix Manual (stable)"
+             (menu-item #:label "GNU Guix Manual (release)"
                         #:active-item active-item
                         #:url (guix-url "manual/")))
          (C_ "website menu"
-             (menu-item #:label "GNU Guix Manual (latest)"
+             (menu-item #:label "GNU Guix Manual (current)"
                         #:active-item active-item
                         #:url (guix-url "manual/devel/")))
          (C_ "website menu"
diff --git a/website/apps/base/templates/help.scm b/website/apps/base/templates/help.scm
index 3d54ae1..fb25bd5 100644
--- a/website/apps/base/templates/help.scm
+++ b/website/apps/base/templates/help.scm
@@ -51,7 +51,7 @@ system|GNU Hurd|GNU Guix package manager|Help resources") #\|)
             online.  You may also find more information about Guix by running "
             ,(G_ `(code "info guix")) "."))
         (p
-         ,(link-more #:label (G_ "Read stable manual")
+         ,(link-more #:label `(G_ "Read manual " ,(latest-guix-version) "")
                      #:url (guix-url "manual/en" #:localize #f)))
         (p
          (a (@ (href ,(guix-url "manual/de" #:localize #f))) "Deutsch") " | "
@@ -71,13 +71,12 @@ system|GNU Hurd|GNU Guix package manager|Help resources") #\|)
 	(img
 	 (@ (src ,(guix-url "static/base/img/manual-latest-icon.png"))
 	    (alt "")))
-        ,(G_ `(h3 "GNU Guix Manual (Latest)"))
+        ,(G_ `(h3 "GNU Guix Manual (Current)"))
         ,(G_
           `(p
             "This version of the manual is updated frequently to
             include the latest changes from Guix's source files. It is
-            more up-to-date than the manual for the stable release of
-            Guix."))
+            more up-to-date than the manual for the release of Guix."))
         (p
          ,(link-more #:label (G_ "Read latest manual")
                      #:url (guix-url "manual/devel/" #:localize #f))))
diff --git a/website/apps/download/templates/download-latest.scm b/website/apps/download/templates/download-latest.scm
index 17eaadf..3d328aa 100644
--- a/website/apps/download/templates/download-latest.scm
+++ b/website/apps/download/templates/download-latest.scm
@@ -143,10 +143,10 @@
 (define (download-latest-t)
   "Return the Download latest page in SHTML."
   (theme
-   #:title (C_ "webpage title" '("Download latest"))
+   #:title (C_ "webpage title" '("Download current"))
    #:description
-   (G_ "Download latest GNU Guix System images built by the Cuirass continuous
-integration system.")
+   (G_ "Download latest development GNU Guix System images built
+by the Cuirass continuous integration system.")
    #:keywords
    (string-split ;TRANSLATORS: |-separated list of webpage keywords
     (G_ "GNU|Linux|Unix|Free software|Libre software|Operating \
@@ -158,12 +158,12 @@ Package manager") #\|)
           (guix-url "static/base/css/download.css"))
    #:crumbs
    (list (crumb (C_ "website menu" "Download") (guix-url "download/"))
-         (crumb (C_ "website menu" "Latest") "./"))
+         (crumb (C_ "website menu" "Current") "./"))
    #:content
    `(main
      (section
       (@ (class "page"))
-      ,(G_ `(h2 "Download latest images"))
+      ,(G_ `(h2 "Download latest developement images"))
       ;; TRANSLATORS: Continuous Integration is a section name
       ;; in the English (en) manual.
       ,(G_
@@ -175,7 +175,8 @@ Package manager") #\|)
           " continuous integration system at "
           (a (@ (href ,ci-url)) "ci.guix.gnu.org")
           ". These images are " ,(G_ `(b "development snapshots"))
-          ", you might prefer to use stable images that can be found "
+          ", you might prefer to use well-tested released images
+that can be found "
           ,(G_ `(a (@ (href ,(guix-url "download/"))) "here."))))
       (div
        (@ (class "centered-block limit-width"))