From b52128768525c3a563362d218af3f79b53b96155 Mon Sep 17 00:00:00 2001
From: Julien Lepiller <julien@lepiller.eu>
Date: Mon, 10 Jan 2022 18:05:05 +0100
Subject: [PATCH] website: Add conference announcement.

* website/posts/online-guix-days-2022-announcement-1.md: New file.
* website/static/blog/img/Guix-Days-online-2022.png: New file.
* website/apps/base/templates/theme.scm: Add announce banner.
---
 website/apps/base/templates/theme.scm         |   9 +-
 .../online-guix-days-2022-announcement-1.md   | 138 ++++++++++++++++++
 .../static/blog/img/Guix-Days-online-2022.png | Bin 0 -> 103920 bytes
 3 files changed, 146 insertions(+), 1 deletion(-)
 create mode 100644 website/posts/online-guix-days-2022-announcement-1.md
 create mode 100644 website/static/blog/img/Guix-Days-online-2022.png

diff --git a/website/apps/base/templates/theme.scm b/website/apps/base/templates/theme.scm
index 81815b6..3aa09ea 100644
--- a/website/apps/base/templates/theme.scm
+++ b/website/apps/base/templates/theme.scm
@@ -120,7 +120,14 @@
      (body
       ,(navbar #:active-item active-menu-item)
 
-      ;; NOTE: Comment this message out when it is not needed anymore.
+      ;; NOTE: Comment these messages out when they are not needed anymore.
+      (div
+       (@ (class "message-box msg-info"))
+       (p ,(G_ `("Online conference February 19-20. "
+                 ,(G_ `(a
+                        (@ (href "/blog/2022/online-guix-days-2022-announcement-1/"))
+                        "Learn more"))
+                 "!"))))
       ;(div
       ; (@ (class "message-box msg-info"))
       ; (p ,(G_ `("Online conference November 22nd. "
diff --git a/website/posts/online-guix-days-2022-announcement-1.md b/website/posts/online-guix-days-2022-announcement-1.md
new file mode 100644
index 0000000..150ad04
--- /dev/null
+++ b/website/posts/online-guix-days-2022-announcement-1.md
@@ -0,0 +1,138 @@
+title: Announcing the second online Guix Days
+date: 2022-01-12 00:00
+author: Guix Hackers
+slug: online-guix-days-2022-announcement-1
+tags: Conference, Community
+---
+
+The Guix hackers are very happy to announce the second online Guix Days
+Conference on **19 & 20 February 2022**.  This conference is open to everyone
+and will be held entirely online.  Want to speak?  Submit your proposal!
+
+Important dates:
+
+1. **February 8**: Deadline for talks proposal.
+1. **February 12**: Deadline for releasing your pre-recorded talks.
+1. **February 14**: Release of the schedule.
+1. **February 19**: Conference day!
+1. **February 20**: Conference day!
+
+![Guix Days logo](/static/blog/img/Guix-Days-online-2022.png)
+
+The agenda of these two days is:
+
+ - pre-recorded talks with live question and answer sessions
+ - birds of a feather (BoF) sessions
+ - lightning round talks, if possible
+ - retrospective and future of Guix
+ - hack together
+
+Talks will be released **before** the conference day, **watch them as soon
+as possible**! And: **no registration fee**.
+
+##### Until February 8: talk proposals
+
+Propose your talks by sending them to `guix-days@gnu.org`.  Feel free to drop
+in `#guix` on irc.libera.chat to discuss what you would like to talk about
+before submitting. :)
+
+You can choose one of the following formats:
+
+ - Standard talk. 15-45 minutes pre-recorded presentation and a 5 minutes lightning talk.
+   The 5-minute presentation will be live, to refresh our minds, followed by
+   a 30 minutes live Q&A.
+ - BoF (birds of a feather, for a session with a small group who wants to talk
+   about a specific topic) with no presentation. You may prepare something live
+   to spark conversations.
+ - Lightning talk with a 5 minutes live presentation
+
+In addition to the format you would like to choose, please describe your session
+with 10 lines or more (for lightning talks, at least 1 sentence).
+
+Once you have sent your proposal, you will be notified in the coming days
+whether your talk be part of the Guix Day. Submit earlier to get more time to
+prepare your session!
+
+Even for live presentation, please prepare a back-up pre-recorded talk, so
+we can play it if you cannot attend or have a technical problem during the
+Guix days. The deadline for short presentations (5 minutes) is February 16.
+
+We welcome all kinds of topics from the community, especially your own experience
+with Guix, your cool projects that involve Guix in some way, infrastructure around
+guix (translations, continuous integration, ...), and any subject you feel
+should be discussed during the conference.
+
+We particularly encourage people who consider themselves part of a group
+underrepresented in Guix and the broader free software movement to submit
+a talk. Do not hesitate to get in touch with the organizers at `guix-days@gnu.org`
+if unsure or if you would like guidance on how to prepare your talk.
+
+Please make sure your talk is accessible to a non-expert audience, for instance
+by explaining the general context before diving into technical descriptions,
+and by avoiding acronyms and jargon.
+
+We accept talks in languages other than English provided English subtitles are
+included.
+
+Have a look at the topics from [the last conference](/blog/2020/online-guix-day-announce-1/)
+for ideas, but don't hesitate to innovate in your proposals!
+
+##### February 8 (or before) – 12: prepare your session
+
+The aim of the pre-recorded talks is to demonstrate new features, what you are
+hacking on, introduce the subject for easing the live question and answer
+sessions or BoFs.  These pre-recorded talks should be **15–45 minutes
+long**.  Feel free to ask if you need help with the recording.
+
+You are free to choose whichever storage platform you want (e.g., your own
+website, a PeerTube instance, a Nextcloud instance, etc.), but we will need to
+have access to the original file so we can publish it later on
+[audio-video.gnu.org](https://audio-video.gnu.org).  Your video must be
+released under a license that at least allows anyone to copy and share it, for
+any purpose.
+
+You will have to release the video publicly before February 12, so everyone
+has a chance to see it before the conference.  If you are not able to do so
+(for instance your server cannot handle a huge load), you can alternatively
+send us a private link to the video and we will upload it on
+[audio-video.gnu.org](https://audio-video.gnu.org).  If you decide to do so,
+you will need to have the video ready by February 10.
+
+
+##### February 12–18: watch the talks
+
+But don't miss the [Fosdem](https://fosdem.org) conference either!
+
+Be sure to watch the pre-recorded talks before the conference.  There will be
+**no presentations** on the 19 nor 20.
+
+
+##### February 19–20: participate
+
+Coming soon!  Stay tuned.
+
+
+#### Code of Conduct
+
+This online conference is an official Guix event.  Therefore, the [Code of
+Conduct](http://git.savannah.gnu.org/cgit/guix.git/tree/CODE-OF-CONDUCT)
+applies.  Please be sure to read it beforehand!
+
+#### About GNU Guix
+
+[GNU Guix](https://www.gnu.org/software/guix) is a transactional package
+manager and an advanced distribution of the GNU system that [respects
+user
+freedom](https://www.gnu.org/distros/free-system-distribution-guidelines.html).
+Guix can be used on top of any system running the Hurd or the Linux
+kernel, or it can be used as a standalone operating system distribution
+for i686, x86_64, ARMv7, and AArch64 machines.
+
+In addition to standard package management features, Guix supports
+transactional upgrades and roll-backs, unprivileged package management,
+per-user profiles, and garbage collection.  When used as a standalone
+GNU/Linux distribution, Guix offers a declarative, stateless approach to
+operating system configuration management.  Guix is highly customizable
+and hackable through [Guile](https://www.gnu.org/software/guile)
+programming interfaces and extensions to the
+[Scheme](http://schemers.org) language.
diff --git a/website/static/blog/img/Guix-Days-online-2022.png b/website/static/blog/img/Guix-Days-online-2022.png
new file mode 100644
index 0000000000000000000000000000000000000000..8360eb2a148e22fc934579d313516818ce2b76be
GIT binary patch
-- 
2.34.0