diff --git a/website/apps/base/templates/home.scm b/website/apps/base/templates/home.scm
index aa1fbb5..4aa6312 100644
--- a/website/apps/base/templates/home.scm
+++ b/website/apps/base/templates/home.scm
@@ -41,68 +41,32 @@ management|Reproducibility") #\|)
      (section
       (@ (class "featured-content"))
       ,(G_ `(h2 (@ (class "a11y-offset")) "Summary"))
-      (ul
-       ,(G_
-         `(li
-           ,(G_ `(b "Liberating."))
-           " Guix is a distribution of the "
-           ,(G_ (link-yellow
-                 #:label "GNU operating system"
-                 #:url (gnu-url "gnu/about-gnu.html")))
-           " developed by the "
-           ,(G_ (link-yellow
-                 #:label "GNU Project"
-                 #:url (gnu-url)))
-           "—which respects the "
-           ,(G_ (link-yellow
-                 #:label "freedom of computer users"
-                 #:url (gnu-url "distros/free-system-distribution-\
-guidelines.html")))
-           ". "))
-
-       ;; TRANSLATORS: Package Management, Features and Using the
-       ;; Configuration System are section names in the English (en)
-       ;; manual.
-       ,(G_
-         `(li
-           ,(G_ `(b "Dependable."))
-           " Guix "
-           ,(G_ (manual-link-yellow "supports"
-                                    (G_ "en")
-                                    (G_ "Package-Management.html")))
-           " transactional upgrades and roll-backs, unprivileged \
-package management, "
-           ,(G_ (manual-link-yellow "and more"
-                                    (G_ "en")
-                                    (G_ "Features.html")))
-           ".  When used as a standalone distribution, Guix supports "
-           ,(G_ (manual-link-yellow "declarative system configuration"
-                                    (G_ "en")
-                                    (G_ "Using-the-Configuration-System.html")))
-           " for transparent and reproducible operating systems."))
-
-       ;; TRANSLATORS: Defining Packages and System Configuration are
-       ;; section names in the English (en) manual.
+
+      (div
+       (@ (class "summary centered-block centered-text limit-width"))
        ,(G_
-         `(li
-           ,(G_ `(b "Hackable."))
-           " It provides "
-           ,(G_ (link-yellow
-                 #:label "Guile Scheme"
-                 #:url (gnu-url "software/guile/")))
-           " APIs, including high-level embedded domain-specific \
-languages (EDSLs) to "
-           ,(G_ (manual-link-yellow "define packages"
-                                    (G_ "en")
-                                    (G_ "Defining-Packages.html")))
+         `(p
+           "GNU Guix is a "
+           ,(G_ (link-yellow #:label "package manager"
+                             #:url (manual-devel-url "Package-Management.html")))
+           " for GNU/Linux systems. It is designed to give users "
+           ,(G_ `(b "more control"))  ; TODO: Link to relevant documentation.
+           " over their general purpose and specialized computing \
+environments, and make these easier to "
+           ,(G_ (link-yellow #:label "reproduce over time"
+                             #:url (manual-devel-url "Invoking-guix-time_002dmachine.html")))
            " and "
-           ,(G_ (manual-link-yellow "whole-system configurations"
-                                    (G_ "en")
-                                    (G_ "System-Configuration.html")))
-           ".")))
+           ,(G_ (link-yellow #:label "deploy"
+                             #:url (manual-devel-url "Invoking-guix-deploy.html")))
+           " to one or many devices.")))
 
       (div
        (@ (class "action-box centered-text"))
+       ,(button-big
+         #:label (C_ "button" "FEATURES")
+         #:url (manual-devel-url "Features.html")
+         #:light #true)
+       " " ; A space for readability in non-CSS browsers.
        ,(button-big
          #:label (C_ "button" "DOWNLOAD")
          #:url (guix-url "download/")
diff --git a/website/themes/initial/css/index.css b/website/themes/initial/css/index.css
index 7cb96eb..a0d35fb 100644
--- a/website/themes/initial/css/index.css
+++ b/website/themes/initial/css/index.css
@@ -23,20 +23,15 @@ h3 {
                       url("../img/featured-box-bg.png");
     background-position: top, bottom;
     background-repeat: repeat, repeat-x;
+    border-color: black;
+    border-style: none none solid none;
+    border-width: thin;
     color: white;
-    font-size: 17px;
-    padding: 40px 20px;
-    position: relative;
-}
-
-.featured-content > ul {
-    list-style-image: url("../img/white-star.png");
-    margin: auto;
-    max-width: 960px;
+    padding: 1.5em 1em;
 }
 
-.featured-content li {
-    padding: 10px 0px;
+.featured-content .summary {
+    font-size: 1.5em;
 }
 
 .h-separator {