diff --git a/website/apps/base/templates/home.scm b/website/apps/base/templates/home.scm
index 944a3aa..03a42f7 100644
--- a/website/apps/base/templates/home.scm
+++ b/website/apps/base/templates/home.scm
@@ -32,8 +32,8 @@ Scheme|Transactional upgrades|Functional package \
 management|Reproducibility") #\|)
    #:active-menu-item (C_ "website menu" "Overview")
    #:css (list
-	  (theme-url "css/item-preview.css")
-	  (theme-url "css/index.css")
+          (theme-url "css/item-preview.css")
+          (theme-url "css/index.css")
           (theme-url "css/video-preview.css"))
    #:content
    `(main
@@ -80,8 +80,8 @@ environments, and make these easier to "
        " " ; A space for readability in non-CSS browsers.
        ,(button-big
          #:label (C_ "button" "CONTRIBUTE")
-	 #:url (guix-url "contribute/")
-	 #:light #true)))
+         #:url (guix-url "contribute/")
+         #:light #true)))
 
      ;; Give Users control.
      (section
@@ -99,7 +99,7 @@ packages independently from each other, without superuser privileges."))
           #:url (G_ (manual-url-with-language
                      (G_ "en")
                      "Package-Management.html"))
-	  #:light #true))
+          #:light #true))
 
        (img
         (@ (src ,(guix-url "static/base/img/give-users-control.svg"))
@@ -176,8 +176,8 @@ different computing needs.")))
 
       ,(button-big
         #:label (C_ "button" "EXPLORE PACKAGES")
-	#:url (packages-url)
-	#:light #true))
+        #:url (packages-url)
+        #:light #true))
 
      ;; One Language for Everything.
      (section
@@ -197,12 +197,12 @@ configurations."))
           #:url (G_ (manual-url-with-language
                      (G_ "en")
                      "Programming-Interface.html"))
-	  #:light #true)
+          #:light #true)
         " " ; A space for readability in non-CSS browsers.
         ,(button-big
           #:label (C_ "button" "WHAT'S GUILE")
-	  #:url (gnu-url "software/guile/")
-	  #:light #true))
+          #:url (gnu-url "software/guile/")
+          #:light #true))
 
        (img
         (@ (src ,(guix-url "static/base/img/guile-logo-outlined-floating.svg"))
@@ -223,7 +223,7 @@ computer users. You are free to use, study, modify, and share Guix and \
 all the packages it provides."))
         ,(button-big
           #:label (C_ "button" "LEARN MORE")
-	  #:url (gnu-url "philosophy/free-sw.en.html")))
+          #:url (gnu-url "philosophy/free-sw.en.html")))
 
        (img
         (@ (src ,(guix-url "static/base/img/people-focused.svg"))
@@ -279,8 +279,8 @@ distribution of your preference. It won't clash with your distro's \
 package manager."))
         ,(button-big
           #:label (C_ "button" "DOWNLOAD")
-	  #:url (guix-url "download/")
-	  #:light #true))
+          #:url (guix-url "download/")
+          #:light #true))
 
        (img
         (@ (src ,(guix-url "static/base/img/guix-shell.svg"))
@@ -303,12 +303,12 @@ capabilities of the Guix software. Spawned by Guix itself."))
           #:url (G_ (manual-url-with-language
                      (G_ "en")
                      "System-Installation.html"))
-	  #:light #true)
+          #:light #true)
         " " ; A space for readability in non-CSS browsers.
         ,(button-big
           #:label (C_ "button" "DOWNLOAD")
-	  #:url (guix-url "download/")
-	  #:light #true))
+          #:url (guix-url "download/")
+          #:light #true))
 
        (img
         (@ (src ,(guix-url "static/base/img/guix-system-display.svg"))
@@ -336,8 +336,8 @@ capabilities of the Guix software. Spawned by Guix itself."))
 
        ,(button-big
          #:label (C_ "button" "ALL VIDEOS")
-	 #:url (guix-url "videos/")
-	 #:light #true)))
+         #:url (guix-url "videos/")
+         #:light #true)))
 
      ;; Latest Blog posts.
      (section
@@ -351,7 +351,7 @@ capabilities of the Guix software. Spawned by Guix itself."))
        (@ (class "action-box centered-text"))
        ,(button-big
          #:label (C_ "button" "ALL POSTS")
-	 #:url (guix-url "blog/")
+         #:url (guix-url "blog/")
          #:light #true)))
 
      ;; Contact info.
@@ -366,5 +366,5 @@ capabilities of the Guix software. Spawned by Guix itself."))
        (@ (class "action-box centered-text"))
        ,(button-big
          #:label (C_ "button" "ALL CONTACT MEDIA")
-	 #:url (guix-url "contact/")
+         #:url (guix-url "contact/")
          #:light #true))))))